Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
MANHHUNGXDA

TÁCH BLOCK TỪ FILE!

Các bài được khuyến nghị

Gửi các bác!

 

e có 1 file cad gồm nhiều block khác nhau, giờ em muốn tách các block này thành các file riêng (mỗi block là 1 file cad riêng, tên file là tên block) rồi lưu vào thư mục ổ C: chẳng hạn.

 

Cách nông dân là copy từng cái, kể hơi mất thời gian, bác nào có cách khác không giúp em với

Xin cảm ơn!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Gửi các bác!

 

e có 1 file cad gồm nhiều block khác nhau, giờ em muốn tách các block này thành các file riêng (mỗi block là 1 file cad riêng, tên file là tên block) rồi lưu vào thư mục ổ C: chẳng hạn.

 

Cách nông dân là copy từng cái, kể hơi mất thời gian, bác nào có cách khác không giúp em với

Xin cảm ơn!

Anh gõ W >>> sẽ hiện bảng write block >>> click chọn Block >>> chọn tên block >>>> ok sẽ có một file dwg mang tên block

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Gửi các bác!

 

e có 1 file cad gồm nhiều block khác nhau, giờ em muốn tách các block này thành các file riêng (mỗi block là 1 file cad riêng, tên file là tên block) rồi lưu vào thư mục ổ C: chẳng hạn.

 

Cách nông dân là copy từng cái, kể hơi mất thời gian, bác nào có cách khác không giúp em với

Xin cảm ơn!

Của bác đây. lệnh taob chọn block muốn tạo thành file mới. các file mới được tạo ra trong thư mục c:\wblock

(defun c:taob ()
(setq ss (ssget '((0 . "insert")))
i 0
)
(command "shell" "md c:\\wblock") 
(while (< i (sslength ss))
(setq name (ssname ss i)
tenblock (cdr (assoc 2 (entget name)))
diem (cdr (assoc 10 (entget name)))
)
(command "wblock")
(command
(strcat "c:\\wblock\\" tenblock ".dwg"))
(command "" diem name "")
(setq i (1+ i))
)
)

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cam ơn bạn, mình thấy nó chạy tốt nhưng có hai nhưọc điểm

 

1-Các block dạng thuộc tính thì nó không được

2-Phải chọn từng block

 

Bạn có cách khác không, giup mình với!

Ví dụ với file này xem

http://www.cadviet.com/upfiles/3/222.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Cam ơn bạn, mình thấy nó chạy tốt nhưng có hai nhưọc điểm

 

1-Các block dạng thuộc tính thì nó không được

2-Phải chọn từng block

 

Bạn có cách khác không, giup mình với!

Ví dụ với file này xem

http://www.cadviet.com/upfiles/3/222.dwg

Của bạn đây. Mình không dành về loại block này lắm nên khi nó xử lí đến thằng block này thì nó bị dừng lại. Bán cứ ấn enter để tiếp tục đến khi kết thúc.

;; free lisp from cadviet.com

(defun c:taob ()
(setq ss (ssget '((0 . "insert")))
i 0
)
(command "shell" "md c:\\wblock") 
(while (< i (sslength ss))
(setq name (ssname ss i)
tenblock (cdr (assoc 2 (entget name)))
diem (cdr (assoc 10 (entget name)))
)
(command "wblock")
(command
(strcat "c:\\wblock\\" (vl-string-left-trim "*" tenblock) ".dwg"))
(command "" diem name "")
(setq i (1+ i))
)
)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×